# MagicPlugin

Adds a configuration for staves to make it fire in a straight line instead of an arc and boost it speed of impact. Adds 2 new magic weapon that you can craft early game and uses stamina instead of eitr and can also use to demolish some trees.

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.

## Features

- Configurable velocity to improve the speed of impact and fires in a straight line instead of an arc.
- Uses ServerSync to sync configs from server to clients.
- Configurable exp multipliers for elemental magic and blood magic.
- Uses built in config watcher.
- Adds 2 new Magic Weapon called Surtling Staff and Neck Totem that you can craft early game.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

** Surtling Staff (Elemental Magic)
- Can be used early game to kill and hunt monsters.
- Uses stamina instead of eitr.
- Can be used to demolish a whole forest.
- The tool tier of the staff is determined by its quality level.
- Level 1 for Beech Trees, Level 2 for Birch Trees and so on. 
- Configurable Base Tree Damage which is scaled by your woodcutting skill level for more damage to trees.
- AOE is then scaled by your elemental magic skill level.
- The higher your elemental magic skill level the wider the AOE.
- You can get a small fraction of exp for woodcutting skill when hitting trees with the staff.
- And you can get elemental exp for killing monsters or wild animals.

** Neck Totem (Blood Magic)
- Can be used to summon Neckzilla to fight alongside you.
- Uses stamina insterd of eitr.
- Max summon and Max star of Neckzilla is determined by your Neck Totems quality level and your Blood Magic Skill Level.
- Upto 4 three Star Neckzilla can be summoned at Max quality level Neck Totem and level 75 blood magic skill.

## Changelog

v1.1.1<br/>
- fixed birch and oak trees tree stump being too hard. surtling staffs quality level is now properly functioning.<br/>
- fixed elemental magic and blood magic exp multipliers. they are separate now.<br/>
- added a new magic weapon called Neck Totem that can summon a monster to fight alongside you.<br/>
<br/>
v1.0.0<br/> 
- first release<br/>

